Content
Update article
Update article fields. Providing collectionIds replaces the existing collection set.
PUT
/
api
/
content
/
articles
/
{id}
Update article
curl --request PUT \
--url https://api.tedro.io/api/content/articles/{id} \
--header 'Content-Type: application/json' \
--header 'x-workspace-id: <api-key>' \
--cookie better-auth.session_token= \
--data '
{
"title": "<string>",
"body": "<string>",
"slug": "<string>",
"description": "<string>",
"collectionIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://api.tedro.io/api/content/articles/{id}"
payload = {
"title": "<string>",
"body": "<string>",
"slug": "<string>",
"description": "<string>",
"collectionIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {
"cookie": "better-auth.session_token=",
"x-workspace-id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
cookie: 'better-auth.session_token=',
'x-workspace-id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
title: '<string>',
body: JSON.stringify('<string>'),
slug: '<string>',
description: '<string>',
collectionIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};
fetch('https://api.tedro.io/api/content/articles/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "article",
"title": "<string>",
"slug": "<string>",
"body": "<string>",
"description": "<string>",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "<string>",
"updatedAt": "<string>",
"publishedAt": "<string>"
}{
"error": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Session cookie set by Better Auth on sign-in.
Workspace UUID. Required on all /api/* endpoints.
Path Parameters
Body
application/json
Update article fields (partial). Collection IDs replace the existing set when provided.
Response
Article updated
Available options:
article Available options:
public, internal Available options:
draft, published Previous
Delete articleSoft-delete an article and enqueue removal from the vector store if it was indexed.
Next
⌘I
Update article
